> For the complete documentation index, see [llms.txt](https://developers.usetoggle.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.usetoggle.com/partner-guides/guest-gratuity/configuration-variables.md).

# Configuration variables

Your application will need to keep a configuration of variables to use for each distinct Toggle account,

These are summarised below.

| `sales_channel_id`               | For POS integrations, use `7` as the sales\_channel\_id when creating orders – this is a permanent ID used across all accounts for guest gratuity.                                                                                                                                                                                                                                                                                                                                 |
| -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `fulfilment_method_id`           | Used when creating orders, this can always be configured as either `1` (sends an Email from Toggle) or `8` which doesn't send an email.                                                                                                                                                                                                                                                                                                                                            |
| `currency_id`                    | Default to `1` (£ sterling), but leave this as something that can be configured as well, this will ensure the integration is future-proofed to handle other currency IDs in future.                                                                                                                                                                                                                                                                                                |
| `account_id`                     | `account_id` will be manually configured, we will provide this to you each time a new account is configured. Email <support@usetoggle.com> to request your account\_id.                                                                                                                                                                                                                                                                                                            |
| `merchant_id`                    | This identifies you as an an approved merchant on our platform. Email <support@usetoggle.com> to request this.                                                                                                                                                                                                                                                                                                                                                                     |
| `unit_epos_reference`            | This refers to the unique site location, passed to Toggle so its knows the location where the transaction was made. This needs to be matched with the configured EPOS references in each Toggle customer's account. If your transactions don't relate to a particular site, you will need a "head office" location reference on the Toggle account to use. [See here for more information](http://academy.usetoggle.com/en/articles/2892479-setting-up-toggle-for-multiple-sites). |
| `merchant_transaction_reference` | Each order for a card should be related back to a unique transaction reference generated by your system. You should generate one (alphanumeric) and pass this to our API when handling transactions.                                                                                                                                                                                                                                                                               |
| `discount_type_id`               | A discount type of `1` is a general-use FOC type so use this one if in doubt, though we also have other types available; for example `3` is for discounts for promotions.                                                                                                                                                                                                                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.usetoggle.com/partner-guides/guest-gratuity/configuration-variables.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
